www.cendio.com
Bug 4944 - text mode tl-setup yum backend crashes on "no"
: text mode tl-setup yum backend crashes on "no"
Status: CLOSED FIXED
: ThinLinc
Server Installer
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-12-17 17:03 by
Modified: 2014-04-02 09:00 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-12-17 17:03:08
If you choose to not install packages you get a crash:

Linux Standard Base (LSB)
=========================

We recommend that you run ThinLinc on systems which support a Linux
Standard Base (LSB) environment, but this system does not. At least
the "LSB Graphics amd64" module should be available on the system.

The necessary packages can be installed automatically by this wizard,
or you can install them manually and restart the wizard.

Automatically install the necessary packages [Yes/no]?n

Internal error. The ThinLinc Server Setup Wizard will now terminate.
Please send a copy of /var/log/tlsetup.log to the ThinLinc support.
Visit http://www.cendio.com/support for information on how to contact
us.


2013-12-17 16:56:53,330: Traceback (most recent call last):
2013-12-17 16:56:53,330:   File "/opt/thinlinc/sbin/../libexec/tl-setup.py",
line 480, in <module>
2013-12-17 16:56:53,330:     O0oO ( )
2013-12-17 16:56:53,330:   File "/opt/thinlinc/sbin/../libexec/tl-setup.py",
line 437, in O0oO
2013-12-17 16:56:53,330:     ooo0O0o00O = iiO0oOo00o . run ( )
2013-12-17 16:56:53,330:   File "/opt/thinlinc/modules/thinlinc/wizard.py",
line 91, in run
2013-12-17 16:56:53,330:     return self . _run_text ( )
2013-12-17 16:56:53,330:   File "/opt/thinlinc/modules/thinlinc/wizard.py",
line 109, in _run_text
2013-12-17 16:56:53,330:     Ooooo0Oo00oO0 ( )
2013-12-17 16:56:53,330:   File
"/opt/thinlinc/modules/thinlinc/tlsetup/lsb.py", line 104, in <lambda>
2013-12-17 16:56:53,330:     Ii1IIii11 , O0o0o00o0Oo0 , Iiii111Ii11I1 )
2013-12-17 16:56:53,330:   File
"/opt/thinlinc/modules/thinlinc/tlsetup/pkginsthelp.py", line 76, in
generic_text_installer
2013-12-17 16:56:53,330:     IIIiI11ii . unlock ( )
2013-12-17 16:56:53,330:   File
"/opt/thinlinc/modules/thinlinc/packageinstaller/yumbackend.py", line 256, in
unlock
2013-12-17 16:56:53,330:     del self . __yum
2013-12-17 16:56:53,330: AttributeError: Backend instance has no attribute
'_Backend__yum'
------- Comment #1 From cendio 2013-12-17 17:09:20 -------
Fixed in r28218.
------- Comment #2 From cendio 2014-03-18 07:10:34 -------
Tested using build 4289, works as expected.